Package ru.bitel.bgbilling.modules.subscription.common.bean

# Class Subscription

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.subscription.common.bean.Subscription

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class Subscription extends IdContractId
Подписка клиента на что-то, с точностью до секунды

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Subscription()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `long`
  `getJobId()`
  `PeriodWithTime`
  `getPeriod()`
  `int`
  `getRegistrationPeriodId()`
  `List<RegistrationPeriod>`
  `getRegistrationPeriodList()`
  `SubscriptionType`
  `getSubscriptionType()`
  `int`
  `getTypeId()`
  `boolean`
  `isActive()`
  `boolean`
  `isAvtoCommit()`
  `Subscription`
  `setAvtoCommit(boolean avtoCommit)`
  `Subscription`
  `setComment(String comment)`
  `Subscription`
  `setContractId(int contractId)`
  `Subscription`
  `setId(int id)`
  Устанавливает id объекта
  `Subscription`
  `setJobId(long jobId)`
  `Subscription`
  `setPeriod(PeriodWithTime period)`
  `Subscription`
  `setRegistrationPeriodId(int registrationPeriodId)`
  `Subscription`
  `setRegistrationPeriodList(List<RegistrationPeriod> registrationPeriodList)`
  `Subscription`
  `setSubscriptionType(SubscriptionType subscriptionType)`
  `Subscription`
  `setTypeId(int typeId)`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Subscription

    public Subscription()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### getJobId

    public long getJobId()

  - ### getPeriod

    public PeriodWithTime getPeriod()

  - ### getRegistrationPeriodId

    public int getRegistrationPeriodId()

  - ### getRegistrationPeriodList

    public List<RegistrationPeriod> getRegistrationPeriodList()

  - ### getSubscriptionType

    public SubscriptionType getSubscriptionType()

  - ### getTypeId

    public int getTypeId()

  - ### isActive

    public boolean isActive()

  - ### isAvtoCommit

    public boolean isAvtoCommit()

  - ### setAvtoCommit

    public Subscription setAvtoCommit(boolean avtoCommit)

  - ### setComment

    public Subscription setComment(String comment)

  - ### setContractId

    public Subscription setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### setId

    public Subscription setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setJobId

    public Subscription setJobId(long jobId)

  - ### setPeriod

    public Subscription setPeriod(PeriodWithTime period)

  - ### setRegistrationPeriodId

    public Subscription setRegistrationPeriodId(int registrationPeriodId)

  - ### setRegistrationPeriodList

    public Subscription setRegistrationPeriodList(List<RegistrationPeriod> registrationPeriodList)

  - ### setSubscriptionType

    public Subscription setSubscriptionType(SubscriptionType subscriptionType)

  - ### setTypeId

    public Subscription setTypeId(int typeId)